package com.fs.hisStore.service.impl;

import java.util.List;

import com.fs.hisStore.param.FsPatientParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.hisStore.mapper.FsPatientScrmMapper;
import com.fs.hisStore.domain.FsPatientScrm;
import com.fs.hisStore.service.IFsPatientScrmService;

/**
 * 病人Service业务层处理
 * 
 * @author fs
 * @date 2022-03-23
 */
@Service
public class FsPatientScrmServiceImpl implements IFsPatientScrmService 
{
    @Autowired
    private FsPatientScrmMapper fsPatientMapper;

    /**
     * 查询病人
     * 
     * @param patientId 病人ID
     * @return 病人
     */
    @Override
    public FsPatientScrm selectFsPatientById(Long patientId)
    {
        return fsPatientMapper.selectFsPatientById(patientId);
    }

    /**
     * 查询病人列表
     * 
     * @param fsPatient 病人
     * @return 病人
     */
    @Override
    public List<FsPatientScrm> selectFsPatientList(FsPatientScrm fsPatient)
    {
        return fsPatientMapper.selectFsPatientList(fsPatient);
    }

    /**
     * 新增病人
     * 
     * @param fsPatient 病人
     * @return 结果
     */
    @Override
    public int insertFsPatient(FsPatientScrm fsPatient)
    {
        return fsPatientMapper.insertFsPatient(fsPatient);
    }

    /**
     * 修改病人
     * 
     * @param fsPatient 病人
     * @return 结果
     */
    @Override
    public int updateFsPatient(FsPatientScrm fsPatient)
    {
        return fsPatientMapper.updateFsPatient(fsPatient);
    }

    /**
     * 批量删除病人
     * 
     * @param patientIds 需要删除的病人ID
     * @return 结果
     */
    @Override
    public int deleteFsPatientByIds(Long[] patientIds)
    {
        return fsPatientMapper.deleteFsPatientByIds(patientIds);
    }

    /**
     * 删除病人信息
     * 
     * @param patientId 病人ID
     * @return 结果
     */
    @Override
    public int deleteFsPatientById(Long patientId)
    {
        return fsPatientMapper.deleteFsPatientById(patientId);
    }

    @Override
    public List<FsPatientScrm> selectFsPatientListByDoctor(FsPatientParam param) {
        return fsPatientMapper.selectFsPatientListByDoctor(param);
    }


}
